/api/v1/mcps/discover
POST
/api/v1/mcps/discover
const url = 'https://api.endless.zaia.app/api/v1/mcps/discover';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"auth":{"type":"none"},"transport":"sse","url":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/mcps/discover \ --header 'Content-Type: application/json' \ --data '{ "auth": { "type": "none" }, "transport": "sse", "url": "https://example.com" }'Discovers tools from a custom MCP server without persisting configuration.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”Media typeapplication/json
object
auth
required
transport
required
string
url
required
A safe callback URL that must be HTTPS and point to a public server.
string format: uri
Responses
Seção intitulada “Responses”The custom MCP catalog was discovered.
Media typeapplication/json
object
catalog
required
Array<object>
object
description
required
string
inputSchema
object
properties
required
object
key
additional properties
required
Array<string>
type
required
string
name
required
string
Example
{ "catalog": [ { "inputSchema": { "type": "object" } } ]}Invalid request.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Could not connect to the MCP server.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}